Subject: Re: [PATCH] net/usbnet: avoid recursive locking in usbnet_stop()

From: Sebastian Andrzej Siewior <[email-masked]>
Date: Mon, 20 Feb 2012 17:42:05 +0100

On 02/20/2012 05:21 PM, Oliver Neukum wrote:
>> defer_bh() takes the lok which is hold during unlink_urbs(). The safe
>> walk suggest that the skb will be removed from the list and this is done
>> by defer_bh() so it seems to be okay to drop the lock here.
>
> I am afraid there's something wrong in the hcd driver. Async unlink must
> be possible with a lock held. I cannot approve this patch.

Hmmm. The comment above unlink() says that. Looking through other hcds
it seems that musb is not the only one doing it wrong. Oh well...
> 	Regards
> 		Oliver

Sebastian
--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html